local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_samms_489 = {
	samms_489_fake = { type = "boolean", default = false, name = _("Samms 489 Fakeversion"), description = _("option_samms_489_fake_desc"), image = "res/textures/ui/models_small/vehicle/waggon/samms_489_fake_leer.tga" },
}

function data()
return {
	info = {
		minorVersion = 4,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Samms 489"),
		description = _("info_samms_489_desc"),
		tags = { "Europe", "Wagon", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 2454,                 															-- optional, transportfever.net id
		steamId = 804913129,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2454-DB-Schenker-Samms-489-TPF/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_samms_489,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_samms_489", options_samms_489, files)
		local settings = modUtil.userSettings.get("kaleut_samms_489")
		if not settings.samms_489_fake then			
			modUtil.vehicles.hideObject("vehicle/waggon/samms_489_fake_beton.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/samms_489_fake_dt.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/samms_489_fake_granit.mdl")	
			modUtil.vehicles.hideObject("vehicle/waggon/samms_489_fake_leer.mdl")	
			modUtil.vehicles.hideObject("vehicle/waggon/samms_489_fake_stahl.mdl")	
		end	
	end
}
end
